Bug 1813017 - Can't get 'log events generated from smbclient'
Summary: Can't get 'log events generated from smbclient'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: samba
Version: 7.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Andreas Schneider
QA Contact: QE contact list for Identity Management :: Authentication and File Services subteam
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-12 18:06 UTC by fsiddiqu
Modified: 2020-09-29 20:19 UTC (History)
6 users (show)

Fixed In Version: samba-4.10.15-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-29 20:19:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3981 0 None None None 2020-09-29 20:19:46 UTC
Samba Project 14345 0 None None None 2020-05-07 12:43:50 UTC

Description fsiddiqu 2020-03-12 18:06:00 UTC
Description of problem:
Any smbclient command is not logging to the log.smbclient file. The command is issued with the "-l" flag with a directory location set to "/var/log/smb" 
He is running:
smbclient -l /var/log/smb //<REMOTE SERVER>/log_share -A /usr/local/bin/.smbclient -c "prompt; lcd /home/drs/log; cd <REMOTE DIRECTORY>\\\Logs\SM; put <LOCAL FILENAME> drs.status; exit;"
But no logs are being generated "for a simple file transfer to a Windows server". According to the customer.

Version-Release number of selected component (if applicable):
samba-common-tools-4.9.1-10.el7_7.x86_64
samba-libs-4.9.1-10.el7_7.x86_64
samba-common-4.9.1-10.el7_7.noarch
samba-client-4.9.1-10.el7_7.x86_64
samba-client-libs-4.9.1-10.el7_7.x86_64
samba-common-libs-4.9.1-10.el7_7.x86_64

How reproducible:
always

Steps to Reproduce:
smbclient -l /var/log/smb //<REMOTE SERVER>/log_share -A /usr/local/bin/.smbclient -c "prompt; lcd /home/drs/log; cd <REMOTE DIRECTORY>\\\Logs\SM; put <LOCAL FILENAME> drs.status; exit;" 

But no logs are being generated "for a simple file transfer to a Windows server". According to the customer.

Actual results:
He is expecting to see the same as what he sees in RHEL 6:

As I have previously stated, the SAME command on a RHEL 6 server logs the following in /var/log/smb/log.smbclient :
(executed on server "CA1-V" running RHEL 6.10)


 [2020/03/10 05:00:03,  0] libsmb/clidfs.c:234(do_connect)
  Domain=[CLS-V] OS=[Windows Server 2008 R2 Enterprise 7601 Service Pack 1] Server=[Windows Server 2008 R2 Enterprise 6.1]
[2020/03/10 05:00:03,  1] client/client.c:1883(do_put)
  putting file DRSsend_0_20200310041653.log as \CA1\Logs\SM\drs.status (1.2 kb/s) (average 1.2 kb/s)

Expected results:
no output

Additional info:
costumer asking for the result of any logs in rhel 7 for sambaclient by doing a file transfer to another server.

Comment 15 Andreas Schneider 2020-04-06 15:59:46 UTC
Yes, write a test for it. You don't have to create a new share as I did, just use the 'tmp' share to connect to and e.g. call 'ls; quit'.

Comment 28 errata-xmlrpc 2020-09-29 20:19:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: samba security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3981


Note You need to log in before you can comment on or make changes to this bug.